# Interface SySizedReadableType<T extends SySpaceType>

Type Parameters:
  `T` - The coordinate space

All Known Subinterfaces:
  `SyBoundedReadableType<T>, SyBoundedType<T>, SyButtonReadableType, SyButtonType, SyButtonWithTextReadableType, SyButtonWithTextType, SyCheckboxReadableType, SyCheckboxType, SyComponentReadableType, SyComponentType, SyContainerReadableType, SyContainerType, SyGridViewReadableType, SyGridViewType, SyImageViewReadableType, SyImageViewType, SyListViewReadableType, SyListViewType, SyMenuBarItemType, SyMenuBarReadableType, SyMenuBarType, SyMenuItemAtomType, SyMenuItemSeparatorType, SyMenuItemSubmenuType, SyMenuItemType, SyMenuReadableType, SyMenuType, SyMeterReadableType, SyScreenType, SyScrollBarHorizontalReadableType, SyScrollBarHorizontalType, SyScrollBarReadableType, SyScrollBarType, SyScrollBarVerticalReadableType, SyScrollBarVerticalType, SyScrollPaneReadableType, SyScrollPaneType, SySizedType<T>, SyTextAreaReadableType, SyTextAreaType, SyTextFieldReadableType, SyTextFieldType, SyTextMultiLineViewReadableType, SyTextMultiLineViewType, SyTextViewReadableType, SyTextViewType, SyWindowReadableType, SyWindowType`

public interface SySizedReadableType<T extends SySpaceType>
Read only access to information about objects that have sizes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jattribute.core.AttributeReadableType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>>`
  `size()`
  `com.io7m.jattribute.core.AttributeReadableType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>>`
  `sizeUpperLimit()`

- ## Method Details

  - ### sizeUpperLimit

    com.io7m.jattribute.core.AttributeReadableType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>> sizeUpperLimit()
    Returns:
      The desired upper limit on the maximum size of the object

  - ### size

    com.io7m.jattribute.core.AttributeReadableType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>> size()
    Returns:
      The object's size